Bug 648883 - (CVE-2010-3869) CVE-2010-3869 Certificate System: SCEP one-time PIN reuse
CVE-2010-3869 Certificate System: SCEP one-time PIN reuse
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,reported=20081110,pub...
: Security
Depends On: 471318 609327 609328 621339
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-02 08:41 EDT by Tomas Hoger
Modified: 2010-11-09 08:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-09 02:58:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-11-02 08:41:14 EDT
Red Hat / Dogtag Certificate System did not prevent re-use of the one-time PIN used in the SCEP (Simple Certificate Enrollment Protocol) protocol enrollment requests.  The check was done to ensure that PIN is valid, but the PIN was never removed from the list of valid PINs once it was used.  An attacker possessing a valid SCEP enrollment one-time PIN could use it to generate an unlimited number of certificates.
Comment 1 errata-xmlrpc 2010-11-08 15:06:58 EST
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0837 https://rhn.redhat.com/errata/RHSA-2010-0837.html
Comment 2 errata-xmlrpc 2010-11-08 15:12:24 EST
This issue has been addressed in following products:

  Red Hat Certificate System 8

Via RHSA-2010:0838 https://rhn.redhat.com/errata/RHSA-2010-0838.html
Comment 3 Tomas Hoger 2010-11-09 08:47:14 EST
https://fedorahosted.org/pki/changeset/1246

Note You need to log in before you can comment on or make changes to this bug.